TextureImage2D.TextDirection

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## net.ctdp.rfdynhud.render
Enum TextureImage2D.TextDirection

    java.lang.Object
      java.lang.Enum<TextureImage2D.TextDirection>
          net.ctdp.rfdynhud.render.TextureImage2D.TextDirection

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TextureImage2D.TextDirection>

Enclosing class:
  TextureImage2D

    public static enum TextureImage2D.TextDirection

extends java.lang.Enum<TextureImage2D.TextDirection>

Enum Constant Summary
`DOWN`
`RIGHT`
`UP`

Method Summary
`static TextureImage2D.TextDirection` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TextureImage2D.TextDirection[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### RIGHT

    public static final TextureImage2D.TextDirection RIGHT

### DOWN

    public static final TextureImage2D.TextDirection DOWN

### UP

    public static final TextureImage2D.TextDirection UP

Method Detail

### values

    public static TextureImage2D.TextDirection[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TextureImage2D.TextDirection c : TextureImage2D.TextDirection.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TextureImage2D.TextDirection valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD